---

icon: material/tablet-cellphone
description: Want to play on Bedrock? No problem, check it out!

---

# Bedrock

Bedrock support is provided by the [Geyser](https://geysermc.org/) plugin in conjunction with the [Floodgate](https://wiki.geysermc.org/floodgate/) plugin on our proxy server. Stability is not guaranteed, however, in my experience it is pretty stable and reliable.

## Platforms

!!! warning "Platform support"
    Unfortunately, not all Bedrock platforms allow crossplay. However, I am working on a hack that will allow you to play.

| Platofrm    | Supported | Hack available                |
|-------------|-----------|-------------------------------|
| IOS         | 🟢 Yes    | Not needed                    |
| Android     | 🟢 Yes    | Not needed                    |
| Windows     | 🟢 Yes    | Not needed                    |
| Switch      | 🟡 No     | Yes see [DNS Hack](#dns-hack) |
| Xbox        | 🟡 No     | Yes see [DNS Hack](#dns-hack) |
| Playstation | 🟡 No     | Yes see [DNS Hack](#dns-hack) |

## Getting Started

### You own Java and Bedrock

Awesome, your accounts can be linked so that your progress will be synced between the two and you will appear as your Java account on the server! Simply click [here](https://link.geysermc.org/method/online) to link your accounts together and wait about 10 minutes before trying to join.

### You only own Bedrock

No problem, you can play too! Simply attempt to join the server once to initialize your account, then a **mod** or **admin** will whitelist you. When you join the server, your username on the server will begin with a period. (".SubnetMasked")

!!! warning "If you buy Java after"
    If you buy Java edition, be warned that your accounts will remain separate. If you would like to link them, you will lose your progress on the server. Let an **admin** know and we can try and help you out!

## DNS Hack

I am working on setting up my own version of this, however for now [here is a tutorial](https://www.bisecthosting.com/clients/index.php?rp=/knowledgebase/208/How-to-connect-to-a-Minecraft-Bedrock-server-from-consoles.html) from a reputable MC hosting website.

!!! warning "DNS is not encrypted"
    Keep in mind that if you use this service, all of your DNS queries will go through the server listed in the tutorial. What this means for you is that if you go to "https://www.youtube.com/watch?v=dQw4w9WgXcQ" the owner of the service will see that you visited "www.youtube.com" but not the rest of the URL.

## Troubleshooting

??? Tip "Stuck at "Locating server""
    This can happen if your network connection is unstable. If you are using mobile data (4G/5G) this is not entirely unexpected.

??? Tip "I keep getting asked for my Microsoft account."
    Have you [linked](https://link.geysermc.org/method/online) your Java account?